﻿
@model IMS_IMS_MODEL.WTPModel


<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />



@using (Ajax.BeginForm("WaterTreatmentPlant", "WBS", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { @id = "FormWaterTreatmentPlant" }))
{
    @Html.AntiForgeryToken()



    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="container-fluid">
        <div class="row" style="display:none">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Location, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control locationddlWTP" } })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.ItemName, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control itemnameddlWTP" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row ">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Diameter, "Diameter", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Diameter, new { htmlAttributes = new { @class = "form-control", placeholder = "Diameter in MM", @id = "DiameterWTP" } })
                    @Html.ValidationMessageFor(model => model.Diameter, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Capacity, "Capacity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Capacity, new { htmlAttributes = new { @class = "form-control", placeholder = "Capacity", @id = "CapacityWTP" } })
                    @Html.ValidationMessageFor(model => model.Capacity, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>



        <div class="row">
            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Remarks", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>




    </div>


}

<hr class="style-eight" />
<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Export SpreadSheet", "ExportSpeardSheetWTP", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-primary  fa fa-file-excel-o pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.WTPDetails</h6>
</div>

<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableWTP" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                @*<th style="text-align:center">Location</th>
                <th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Diameter</th>
                <th style="text-align:center">Capacity</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Description</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowWTPDetails();
         $("#MyDataTableWTP").DataTable().clear();
        $("#MyDataTableWTP").DataTable().destroy();

    });
    var responseData = '';
    var ShowWTPDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowWTP_Details",
            success: function (response) {

                response = JSON.parse(BindDataTableWTP(response));

                $("#MyDataTableWTP").append(response)

            }
        });
    }

    var BindDataTableWTP = function (response) {

       

        $("#MyDataTableWTP").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "Diameter" },
                { "mData": "Capacity" },
                { "mData": "Quantity" },
                { "mData": "Description" }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>


<script>

   $(document).ready(function () {

        var SessionValueLocation = '@Request.RequestContext.HttpContext.Session["location"]';


    if (typeof (Storage) !== "undefined") {
        var ItemNameStore = window.localStorage.getItem('ItemNameStorage');
       // var LocationStore = window.localStorage.getItem('LocationStorage');

        $(".itemnameddlWTP").val(ItemNameStore);
        $(".locationddlWTP").val(SessionValueLocation);



    }
    else {
        alert("This browser does  not support local storage");
    }
 });
</script>


<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == true) {

            toastr.success("Asset Added Successfully", "Message", { timeOut: 4000 });
            window.localStorage.removeItem("ItemNameStorage");
            window.localStorage.removeItem("LocationStorage");
            setTimeout(function () { location.reload(); }, 1000);
        }
        else if (result.result == false) {

            toastr.warning("All Fields are Required !!", "Error Message ", { timeOut: 5000 });
        }
    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }
    function OnComplete(result) {


        document.getElementById("FormWaterTreatmentPlant").reset();


    }


</script>
